/*
**	LispListener.h
**	A Scrollable LispText.
**	Lee Boynton, NeXT, Inc., 1989
*/

#import <appkit/ScrollView.h>
#import "Lisp.h"

@interface LispListener : ScrollView
{
    id	theText;
}

+ newFrame:(NXRect *)theFrame;
    /*
    ** Create a new LispListener with the given frame rectangle. The
    ** Lisp process (determined by the LispImage default) is automatically 
    ** launched.
    */

- evaluate:(const char *)theString;
    /*
    ** Enqueue the given input to Lisp.
    */

@end



